GET
/
api
/
v1
/
peggy
/
withdrawals
Get Peggy Withdrawal Txs
curl --request GET \
  --url https://prv.explorer.biya.io/api/v1/peggy/withdrawals \
  --header 'Authorization: Bearer <token>'
{
  "code": 123,
  "message": "<string>",
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sender
string

Sender address (Biyachain address, optional filter)

receiver
string

Receiver address (Ethereum address, optional filter)

state
string

Transaction state (optional filter)

batchNonce
string

Batch nonce (exact match)

minOutgoingTxId
string

Minimum outgoing tx ID (query outgoing_tx_id > this value)

startTime
string

Start time (Unix timestamp, block_timestamp >= this value)

endTime
string

End time (Unix timestamp, block_timestamp <= this value)

outgoing_tx_ids
string

Batch query by outgoing tx ids (comma-separated, e.g., "36,46,51" or "[36,46,51]")

pagination.page
integer<int32>

Page number, starts from 1, default 1 (for page-based pagination)

pagination.page_size
integer<int32>

Page size, default 20, maximum 100

pagination.cursor
string

Cursor (for cursor-based pagination, optimized for large datasets, takes priority over page) For blocks: use block height (height) For transactions: use transaction number (tx_number) or combination of block height + transaction number

Response

200 - application/json

OK

Generic response structure

code
integer<int32>

Response status code, 0 indicates success, non-zero indicates failure

message
string

Response message

data
object

Response data (using Struct type to directly return JSON objects, more intuitive)